define(['scripts/knockout-3.3.0', 'mod/properties/propertyutils'], function(ko, PropertyUtils) {

    function PropertyQuantityViewModel(params, element) {
		this.utils = new PropertyUtils();
		this.utils.Init(this, params, element);

		params.unit = ko.observable(params.Unit);

		this.utils.Ready(params);
		return params;
    }

    return {
		createViewModel: function(params, componentInfo) {
			return PropertyQuantityViewModel(params, componentInfo.element);
		}
	};
});
